package com.bonus.hn.bearing.capacity.backstage.subteam.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.subteam.entity.SubTeamBean;

import java.util.List;
import java.util.Map;
/**
 * @author bonus
 */
public interface SubTeamService {
    List<SubTeamBean> getSubTeamsList(SubTeamBean o);
    List<SubTeamBean> getSubTeamsFormList(SubTeamBean o);

    List<SubTeamBean> getSubTeamNum(SubTeamBean o);

    List<SubTeamBean> getTeamsList(SubTeamBean o);

    int addSubTeam(SubTeamBean bean);

    int updateSubTeam(SubTeamBean bean);

    List<TreeBean> getSubProTree(TreeBean o);

    int bindOrUnBindProTeam(SubTeamBean bean);

    int delSubTeamTeamById(SubTeamBean bean);

    int delSubTeamPersonById(SubTeamBean bean);

    List<SubTeamBean> getSubcontractaList(SubTeamBean o);

    int delSubcontractById(SubTeamBean bean);

    int addSubcontract(SubTeamBean bean);

    int upSubcontract(SubTeamBean bean);

    List<SubTeamBean> getTowerBindList(SubTeamBean o);

    int bindTowerBindTeam(SubTeamBean bean);

    Map<String, Object> getTowerSubcontract(SubTeamBean o);

    int bindTowerSubcon(SubTeamBean bean);

    List<TreeBean> getTowerProTree(TreeBean o);

    List<SubTeamBean> getSubPersonList(SubTeamBean o);

    int updateSubTeamStatus(SubTeamBean bean);
}
